summaryrefslogtreecommitdiff
path: root/evieproto/autogen.sh
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2017-12-13 15:12:25 -0800
committerKeith Packard <keithp@keithp.com>2017-12-13 15:12:25 -0800
commita9e6d97b07e66f79b5b464972c5a4f468762124f (patch)
treecd304eb38809696987ce810493cf83d888455e03 /evieproto/autogen.sh
parent8780f0d2a08f5d0ad600e11195118226b356f4b6 (diff)
Move common evieproto files out of the way
Diffstat (limited to 'evieproto/autogen.sh')
-rwxr-xr-xevieproto/autogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/evieproto/autogen.sh b/evieproto/autogen.sh
new file mode 100755
index 0000000..fc34bd5
--- /dev/null
+++ b/evieproto/autogen.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+if test -z "$NOCONFIGURE"; then
+ $srcdir/configure "$@"
+fi